Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

Azureus funzt nach update von Java1.4 auf 1.5 nicht mehr

Alles rund um die Systemverwaltung, die Administration und Konfiguration Eures Linuxsystems

Moderator: Moderatoren

Antworten
orakel
Newbie
Newbie
Beiträge: 13
Registriert: 1. Okt 2004, 15:58

Azureus funzt nach update von Java1.4 auf 1.5 nicht mehr

Beitrag von orakel » 23. Sep 2006, 09:11

hallo leute,

habe gestern meine java version von Java1.4 per ZEN unter Suse10.1 auf Java1.5 upgedatet. nun funktioniert Azureus nicht mehr.
wenn ich azureus auf der konsole starte, bekomme ich folgende fehlermeldung

java virtual machine used: /usr/lib64/jvm/java/bin/java
classpath used: /usr/share/java/Azureus/Azureus2.jar:/usr/share/java/Azureus/swt.jar
main class used: org.gudy.azureus2.ui.swt.Main
flags used:
options used: -Xms16m -Xmx128m -Djava.library.path=/usr/lib/Azureus
arguments used:

ich benutze Azureus2.5.0.1-B09.pm.1
folgende Java version bzw dateien sind installiert java-1.5.0_sun, java1.5.0_devel und Java1.5.0-sun_plugin.

java 1.4.0 hab ich per yast deinstalliert. auch eine neu istallation von azureus oder java 1.5 nützt nix.
is bestimmt nur ein kleiner doofer fehler aber ich finde keine lösung.....
weiß jemand von euch rat ?

schon mal danke im vorraus, ich weiß das hier jemand die lösung kennt :-)

Werbung:
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 23. Sep 2006, 09:31

in /tmp/Azureus.log nachschauen ..
evtl die Meldungen hier posten.

rpm -qa | grep java bitte posten.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

orakel
Newbie
Newbie
Beiträge: 13
Registriert: 1. Okt 2004, 15:58

Beitrag von orakel » 23. Sep 2006, 12:11

also /tmp/azureus.log meldet

Exception in thread "main" java.lang.UnsatisfiedLinkError: /usr/lib/Azureus/libswt-pi-gtk-3301.so: /usr/lib/Azureus/libswt-pi-gtk-3301.so: wrong ELF class: ELFCLASS32
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1751)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1676)
at java.lang.Runtime.loadLibrary0(Runtime.java:822)
at java.lang.System.loadLibrary(System.java:992)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:22)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:126)
at org.gudy.azureus2.ui.swt.mainwindow.SWTThread.<init>(SWTThread.java:80)
at org.gudy.azureus2.ui.swt.mainwindow.SWTThread.createInstance(SWTThread.java:61)
at org.gudy.azureus2.ui.swt.mainwindow.Initializer.<init>(Initializer.java:110)
at org.gudy.azureus2.ui.swt.Main.<init>(Main.java:147)
at org.gudy.azureus2.ui.swt.Main.main(Main.java:162)

rpm -qa | grep java meldet

java-1_5_0-sun-plugin-1.5.0_07-1.1
java-1_4_2-gcj-compat-32bit-1.4.2.0-33
java-1_5_0-sun-devel-1.5.0_07-1.1
java-1_5_0-sun-1.5.0_07-1.1

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 23. Sep 2006, 12:15

Code: Alles auswählen

Exception in thread "main" java.lang.UnsatisfiedLinkError: /usr/lib/Azureus/libswt-pi-gtk-3301.so: /usr/lib/Azureus/libswt-pi-gtk-3301.so: wrong ELF class:
Azureus ist zur Zeit noch nicht für 64bit erhältlch ... Geduld.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

orakel
Newbie
Newbie
Beiträge: 13
Registriert: 1. Okt 2004, 15:58

Beitrag von orakel » 23. Sep 2006, 12:17

und das bedeutet nun entweder wieder auf java 1.4 runter oder auf die 64bit version von azureus warten ?

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste